it.csi.mddtools.guigen

## Interface CommandOnWidgets

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ONOFFCommand, RefreshViewCommand, VisibilityCommand

      public interface CommandOnWidgets
      extends Command

  A representation of the model object 'Command On Widgets'. Classe astratta da cui discendono i comandi che agiscono su un elenco di widget, o di elementi di menu

  The following features are supported:

  - `Target Widgets`
  - `Target Menu Element`
  See Also:
    `GuigenPackage.getCommandOnWidgets()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Menu>` | `getTargetMenuElement()` Returns the value of the 'Target Menu Element' reference list.
    `org.eclipse.emf.common.util.EList<Widget>` | `getTargetWidgets()` Returns the value of the 'Target Widgets' reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetWidgets

          org.eclipse.emf.common.util.EList<Widget> getTargetWidgets()

      Returns the value of the 'Target Widgets' reference list. The list contents are of type `Widget`.

      If the meaning of the 'Target Widgets' reference list isn't clear, there really should be more of a description here...

      I widget su cui opera il comando.
      Returns:
        the value of the 'Target Widgets' reference list.
      See Also:
        `GuigenPackage.getCommandOnWidgets_TargetWidgets()`

    - #### getTargetMenuElement

          org.eclipse.emf.common.util.EList<Menu> getTargetMenuElement()

      Returns the value of the 'Target Menu Element' reference list. The list contents are of type `Menu`. Gli elementi del menu su cui opera il comando.
      Returns:
        the value of the 'Target Menu Element' reference list.
      See Also:
        `GuigenPackage.getCommandOnWidgets_TargetMenuElement()`